kaiming (1.0.0-ok1k0.51) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 调用closeOKFile释放文件句柄
                  2. 优化原生应用部署脚本执行逻辑
                  3. 处理保密箱共享挂载导致的问题以及更新changelog
                  4. 添加安装前及卸载后脚本支持
                  5. 适配源码构建原生部署类开明包
  * 其他改动影响域: 构建, 安装, 运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Thu, 06 Nov 2025 20:24:31 +0800

kaiming (1.0.0-ok1k0.50) v11-2603-preview; urgency=medium

  * BUG: #432843 【需求35735】【开明包】文件被破坏时启动应用，日志中无具体失败原因
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 处理hostapp增量更新
                  2. handle json parse fail in loadAllInfoJsonFiles
                  3. 处理依赖未安装最大版本
  * 其他改动影响域: 安装,运行

 -- duanzhixing <duanzhixing@kylinos.cn>  Wed, 05 Nov 2025 14:31:35 +0800

kaiming (1.0.0-ok1k0.49) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. ensure ostree repo exists for remote commands
                  2. 处理kaiming list出现多个包
                  3. 处理system.d的service文件&后缀
                  4. 处理增量包完整文件未导出
  * 其他改动影响域: 安装

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Mon, 03 Nov 2025 20:34:00 +0800

kaiming (1.0.0-ok1k0.48) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.修复临时运维模式原规避方式,采用新方案
                  2.一套代码构建出多个开明包
                  3.支持新的结构化annotations配置格式
                  4.修复/usr/share/icons覆盖/opt/system/resource问题
  * 其他改动影响域: 安装

 -- tangyahui <tangyahui@kylinos.cn>  Thu, 30 Oct 2025 16:27:38 +0800

kaiming (1.0.0-ok1k0.47) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. force update summary.json 
                  2. change remote command from remote-modify -> remote 
                  3. 新方案修复临时运维模式问题
                  4. fix:处理增量包安装错误返回值
  * 其他改动影响域: 安装, 运行


 -- caoxiansheng <caoxiansheng@kylinos.cn>  Fri, 24 Oct 2025 11:27:38 +0800

kaiming (1.0.0-ok1k0.46) v11-2603-preview; urgency=medium

  * BUG: #429109 【安全基线】dpkg日志权限与预期不符 [用例#1713019]
         #426455 【应用兼容】【预装】【运维直装】【V10SP1不存在】【WPS】 点击帮助后，打开浏览器提示无法访问您的文件
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 新方案获取错误信息
                  2. 处理导出etc文件的打印信息
                  3. 新增getAllIsInstalled接口批量获取是否安装
                  4. 添加多远程仓库支持与优先级设置
                  5. 处理普通应用也能删除info.json指定文件
                  6. skip D-Bus update when org.kylin.kaiming service unavailable
                  7. 处理xdelta自包含后的命令使用
                  8. 退出码输出功能优化
                  9. exclude /var/log dir from synchronization
  * 其他改动影响域: 安装, 运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Tue, 21 Oct 2025 17:57:04 +0800

kaiming (1.0.0-ok1k0.45) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 删除商店dbus接口每次调用都更新summary.json逻辑
  * 其他改动影响域: 商店

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Thu, 09 Oct 2025 19:54:43 +0800

kaiming (1.0.0-ok1k0.44) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. support path mapping with colon separator for plugin synchronization 
                  2. remove kare empty dir
                  3. 导出peony文件
  * 其他改动影响域: 运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Thu, 09 Oct 2025 18:17:04 +0800

kaiming (1.0.0-ok1k0.43) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 修复临时维护模式无法运行问题
  * 其他改动影响域: 运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 08 Oct 2025 18:12:08 +0800

kaiming (1.0.0-ok1k0.42) v11-2603-preview; urgency=medium

  * BUG: #419143 【需求35735】【开明包】同时运行13个开明应用后就无法打开
         #424331 【需求 47061】【开明】【佳能 G3812】插入佳能G3812一体机后，即插即用安装好后，打印测试页失败
         #424453 【开明】【打印机】卸载过开明驱动包后，再次安装时，会有残存文件留下
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. support ostree repo update and cache refresh in kaiming update
                  2. add driver cleanup before hostapp installation
  * 其他改动影响域: 安装、运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Wed, 08 Oct 2025 15:03:26 +0800

kaiming (1.0.0-ok1k0.41.1) v11-2603-preview; urgency=medium

  * BUG: #419143 【需求35735】【开明包】同时运行13个开明应用后就无法打开
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 安装、运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 08 Oct 2025 12:00:32 +0800

kaiming (1.0.0-ok1k0.41) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. resolve crash on LoongArch in isInstalled interface
  * 其他改动影响域: 安装

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Mon, 06 Oct 2025 18:03:32 +0800

kaiming (1.0.0-ok1k0.40) v11-2603-preview; urgency=medium

  * BUG: #423249 【需求46934】【AI模块管理】【本地模型】商店安装本地千问模型无法安装成功，点击安装进度到达一定后直接显示为安装，本地重启也没有模型
         #423157 【开明】【kwre】kylin-wine开明包安装失败 
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. add getAllUpgradable method for batch package status check 
  * 其他改动影响域: 安装

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Sun, 05 Oct 2025 17:32:49 +0800

kaiming (1.0.0-ok1k0.39.1) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 去除重复环境变量
  * 其他改动影响域: 运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Fri, 03 Oct 2025 16:15:22 +0800

kaiming (1.0.0-ok1k0.39) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 插件功能更新
  * 其他改动影响域: 运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Thu, 02 Oct 2025 17:15:22 +0800

kaiming (1.0.0-ok1k0.38) v11-2603-preview; urgency=medium

  * BUG: #422223 【外设兼容】【Kaiming】【奔图一体机M7105N】奔图卸载，卸载软件失败
         #423181 【第二轮测试】【搜狗输入法】【开明包】搜狗开明包无法正常使用
         #422435 【外设兼容】【V11-RC1-0924】【开明】【奔图奔图M7105DN】使用奔图卸载程序卸载后，kaiming list中仍存在
         #421775 【外设兼容】【开明】外设驱动包在kare未安装成功后kaiming list查询显示存在这个包
         #421743 【外设兼容】【开明】【高拍仪】【新良田S520】图形化卸载驱动包后，命令仍可查询出此包
         #419477 【外设兼容】【V11-RC1-0919】【开明】【长沙枫树林Y1600A3】安装器卸载后，kaiming list中仍存在
         #422171 【外设兼容】【V11-RC1-0919】【开明】【精益 PS3150U】【汉王 HW-6200F】安装完ok包后，开始菜单有第三方软件，右键卸载第三方软件后，kaiming list仍然可以搜索到这个驱动
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 更新显卡列表
  * 其他改动影响域: 安装，运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Thu, 02 Oct 2025 14:53:34 +0800

kaiming (1.0.0-ok1k0.37) v11-2603-preview; urgency=medium

  * BUG: #412769 KVE-2025-0904
         #412771 KVE-2025-0905
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 01 Oct 2025 14:54:54 +0800

kaiming (1.0.0-ok1k0.36) v11-2603-preview; urgency=medium

  * BUG: #390253 【策略管理】【软件商店下载限速】软件商店下载限速策略不生效（设置限速50Kb/s，下载速度达到200Kb/s+）
         #420967 【安装器】【开明】安装器安装开明驱动，安装失败，且没有安装日志（开明命令安装成功）
         #420157 【外设兼容】【开明】【手写板】【 绘王 H640P】图形化安装驱动包失败，命令安装可以成功
         #419235 【外设兼容】【kaiming】【打印机】【扫描仪】安装器双击安装ok包失败
         #421739 【外设兼容】【V11-RC1-0919】【开明】【Ukey 飞天诚信 ePass2000Auto】开明包安装失败，校验和不匹配
         #421731 【外设兼容】【开明】【高拍仪】【新良田S520】ok驱动包命名不符合规范
         #421269 【外设兼容】【V11-RC1-0919】【开明】【奔图M6605N】开明包安装失败，校验和不匹配
         #420879 【开明】cn.kylin.brscan5chn安装时报校验和不匹配
         #373683 【整机生态-V11】【FD30M51】【影音】多种视频播放CPU占有率超过100%
         #421125 【应用兼容】【开明】【V10SP1不存在】【数科OFD 3.0】获取U盘文件提示无法读取
         #420745 【影音】影音打开后接入U盘，在影音文件对话框内打开U盘，提示“没有权限”
         #421125 【应用兼容】【开明】【V10SP1不存在】【数科OFD 3.0】获取U盘文件提示无法读取
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. fantgpu-fh2m驱动列表更新
                2. 黑盒测试适配v11
                3. 修复开明传播挂载问题
                4. support download speed limit
                5. 处理kare安装失败
  * 其他改动影响域: 运行

 -- daidandan <daidandan@kylinos.cn>  Sun, 28 Sep 2025 18:50:46 +0800

kaiming (1.0.0-ok1k0.35.1) v11-2603-preview; urgency=medium

  * BUG: #421125 【应用兼容】【开明】【V10SP1不存在】【数科OFD 3.0】获取U盘文件提示无法读取
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 修复开明传播挂载问题
  * 其他改动影响域: 运行

 -- tangyahui <tangyahui@kylinos.cn>  Sun, 28 Sep 2025 13:47:46 +0800

kaiming (1.0.0-ok1k0.35) v11-2603-preview; urgency=medium

  * BUG: #417413 【外设兼容】【驱动包开明方案】【得力DP25N】kaiming uninstall命令卸载驱动包后，kare -l还可以看到这个驱动包
         #417269 【交互协同增强攻关】【内存占用】kaiming模块进程专用内存占用高，请优化
         #418439 【开明包】系统已安装1.0.4版本的base包，但命令安装时仍提示缺少base包
         #418449 【开明包】未安装base时，安装器安装离线包不会自动拉取base包
         #419065 【开明包】repair修复软件包的版本实际与提示不一致
         #418127 【开明包】安装器和命令安装增量包均失败
         #419235 【外设兼容】【kaiming】【打印机】【扫描仪】安装器双击安装ok包失败
         #419735 【开明包】试用模式启动开明应用，应用都显示英文
         #419003 【系统安装】试用安装模式，会自动弹出天气应用
         #418231 【天气】在使用安装界面中，天气主页面未汉化
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 支持路径级别的排除，不仅限于顶层目录
                  2. 处理list打印不同架构base
                  3. repair修复后打印安装的版本
                  4. 处理安装器安装增量包失败
                  5. 代码优化以及增加判断试用模式接口
                  6. 处理驱动安装器安装失败
                  7. 添加xdeltas强依赖
                  8. 在线应用未找到依赖时打印ref完整信息
                  9. 内存占用优化
                  10. 处理depend卸载时出现重复打印
                  11. 支持kare驱动卸载
                  12. 进入容器调试时，无命令行补全，输入命令行比较长时会返回行首覆盖问题
  * 其他改动影响域: 安装、运行、构建

 -- luchaoyang <luchaoyang@kylinos.cn>  Thu, 25 Sep 2025 17:21:19 +0800

kaiming (1.0.0-ok1k0.34.1) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 删除试用模式代码及脚本
  * 其他改动影响域: 安装、运行、构建

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 24 Sep 2025 14:00:46 +0800

kaiming (1.0.0-ok1k0.34) v11-2603-preview; urgency=medium

  * BUG: #419571 【开明包】开机后存在km-run进程cpu占用率100%
         #419451 【版本组自测】【不可变】v11-rc1版本因ostree在/var/opt目录新增内容导致版本编译失败
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 修复开明升级清单文件安装路径
                2. 修复服务进程导致cpu占用率100%的问题
                3. 构建/bin/sh改为/bin/bash
                4. 构建增加export_plugins
  * 其他改动影响域: 安装、运行、构建

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 24 Sep 2025 14:00:46 +0800

kaiming (1.0.0-ok1k0.33) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 增加内部参数解析接口
                2. 增加开明升级清单配置文件
                3. 解决试用模式自研应用参数无效问题
                4. print-meta/changelog子命令补全功能
  * 其他改动影响域: 安装、运行、构建

 -- luchaoyang <luchaoyang@kylinos.cn>  Mon, 22 Sep 2025 16:00:46 +0800

kaiming (1.0.0-ok1k0.32.1) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 增加内部参数解析接口
                2. 增加开明升级清单配置文件
                3. 解决试用模式自研应用参数无效问题
                4. print-meta/changelog子命令补全功能
  * 其他改动影响域: 运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Fri, 19 Sep 2025 9:50:46 +0800

kaiming (1.0.0-ok1k0.32) v11-2603-preview; urgency=medium

  * BUG: #411171 【板卡生态-V11】【GP200S】【多种视频格式播放】备注 CPU占用率超过100%
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.musa驱动列表更新
  * 其他改动影响域: 运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Fri, 19 Sep 2025 9:50:46 +0800

kaiming (1.0.0-ok1k0.31.1) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 添加musa驱动库
  * 其他改动影响域: 运行

 -- daidandan <daidandan@kylinos.cn>  Fri, 19 Sep 2025 09:28:46 +0800

kaiming (1.0.0-ok1k0.31) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.修复depend无法下载问题
                2.ok包分隔符改造回退
                3.开明运行分离
  * 其他改动影响域: 安装、运行、构建

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 16 Sep 2025 18:33:46 +0800

kaiming (1.0.0-ok1k0.30.5) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.开明插件功能开发
  * 其他改动影响域: 安装、运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 16 Sep 2025 10:05:46 +0800

kaiming (1.0.0-ok1k0.30.2) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.修复depend无法下载问题
                2.ok包分隔符改造回退
                3.开明运行分离
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 10 Sep 2025 11:08:46 +0800

kaiming (1.0.0-ok1k0.30) v11-2603-preview; urgency=medium

  * BUG: #401899 【展点内容】【开明】固定开明应用到桌面快捷方式然后卸载开明应用，桌面快捷方式没有消失，双击没有提示信息
         #398307 【应用兼容】【开明】【V10SP1不存在】【WPS office 个人版】 编辑文档关机无提示
         #407171 【需求46651】【开明包】软件商店安装MATE计算器进度条卡在50%超过20分钟
         #407101 【需求35739】【开明包】实际升级内容与列出的可升级包类型不一致
         #406501 【软件商店】FileZilla（开明）商店详情页面大小显示为0B，可安装成功但应用无法打开
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.解决v11叠加/var目录问题
                2.修复depend包含类似$PATH的环境变量的设置
                3.优化环境变量查找方法以及崩溃问题
                4.info显示改为横板排列，动态长度，修改颜色
                5.root用户构建时无需提权安装依赖
                6.ok包分隔符改为下划线
  * 其他改动影响域: 安装、运行、构建 

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 03 Sep 2025 12:04:55 +0800

kaiming (1.0.0-ok1k0.29) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.去掉文件锁
                  2.修改获取ostree分支更新时间接口
                  3.统一desktop文件路径
                  4.修复部分内存泄露问题
                  5.修复update、upgrade无法更新devel类型base和runtime
                  6.修复获取开明状态问题
                  7.卸载软件时表头显示问题
                  8.修复蓝牙管控代码
                  9.修复容器无法调用宿主机路径默认浏览器问题
                  10.修复蓝牙打印信息问题
                  11.修正目录所有权修改中的chown参数顺序错误
                  12.解决filesystem命名空间编译错误
                  13.修复搜索路径缺少家目录相关目录的问题
                  14.修复服务和普通程序公用/run目录下文件问题
                  15.修复浏览器读取配置文件错误问题
                  16.将开明构建内置环境变量设置提前，以扩大可使用范围
                  17.出现/home各个子目录属于不同分区的场景，故修改upperdir和workdir的路径，确保和构建结果build目录在同一文件系统。
                  18.添加info路径检查
                  19.增量包生成
                  20.导出entries/home所有内容到用户目录
                  21.增加squashfs-tools
  * 其他改动影响域: 安装、运行 

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 28 Aug 2025 17:31:18 +0800

kaiming (1.0.0-ok1k0.28) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.fix:isUpgradable本地版本比远程版本高时也返回true
  * 其他改动影响域: 安装

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 25 Aug 2025 14:41:17 +0800

kaiming (1.0.0-ok1k0.27) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.优化CMake构建配置
                  2.psInfo添加参数
                  3.修复v11和openkylin新版本list列出未安装的depend
                  4.记录 .desktop 文件 MD5 并在卸载时按 MD5 清理用户桌面快捷方式
                  5.优化获取状态性能消耗
                  6.黑河测试问题修改
  * 其他改动影响域: 构建、运行、安装 

 -- zhaominyong <zhaominyong@kylinos.cn>  Sat, 23 Aug 2025 11:27:32 +0800

kaiming (1.0.0-ok1k0.26) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.修复share叠加目录不全的问题
                  2.优化编译选项，提高运行速度
                  3.安全问题
                  4.增加app的依赖信息记录
                  5.修复info.json中null属性问题
                  6.修复base中没有lib64目录的问题
  * 其他改动影响域: 构建、运行、安装

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 20 Aug 2025 17:31:30 +0800

kaiming (1.0.0-ok1k0.25) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.增加安全编译支持
                  2.scripts support postinst & prerm for hostapp
                  3.安全热点函数整改
                  4.优化wps安装耗时及符号链接层次过多问题
                  5.修复5.4版本内核绑定挂载无法挂载overlay的lower层问题
                  6.修复QT_PLUGIN_PATH环境变量设置问题
                  7.add -latomic for riscv64 compatibility
                  8.补充info.json最近增加的附加属性的读写
                  9.优化getPsInfo耗时
                  10.distinguish between upgrade and direct uninstall types
                  11.修复一些软连接导致overlay中的lower为空的情况
                  12.优化获取容器状态接口
                  13.update kaiming.postinst
                  14.修复base中没有lib64目录的问题

  * 其他改动影响域: 构建、运行、安装

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Tue, 19 Aug 2025 16:43:22 +0800

kaiming (1.0.0-ok1k0.24) v11-2603-preview; urgency=medium

  * BUG: #396899 【安全基线】【kaiming】安全编码/编译-安全编译选项检查，kaiming包有不符合安全编译的项，请修改确认
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.去掉.var目录创建
  * 其他改动影响域: 构建、运行、安装

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 11 Aug 2025 17:31:30 +0800

kaiming (1.0.0-ok1k0.23) v11-2603-preview; urgency=medium

  * BUG: #370923 【开明】【影音】【风华二代显卡】4k视频播放时没有使用硬解码，cpu占比较高，在300以上
          #373683 【整机生态-V11】【FD30M51】【影音】多种视频播放CPU占有率超过100%
          #368611 【硬件】【电源管理】最佳能效下，视频播放卡顿
          #370915 【开明】【影音】【JM9000】4k视频播放时没有使用硬解码，cpu占比较高，在300以上
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.增加amd、国产显卡等驱动适配
                   2.安装增加获取本地信息新增获取name
                   3.删除prestart工作以及检测内核版本号问题
                   4.叠加挂载调整、增加/opt/system/resoure share叠加挂载
                  
  * 其他改动影响域: 生成开明包 

 -- duanzhixing <duanzhixing@kylinos.cn>  Mon, 11 Aug 2025 15:03:27 +0800

kaiming (1.0.0-ok1k0.22) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.修改安装后脚本中重启服务的逻辑
                   2.增加黑盒测试脚本
  * 其他改动影响域: 生成开明包 

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 07 Aug 2025 10:55:27 +0800

kaiming (1.0.0-ok1k0.21) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.叠加挂载desktop所在目录
                   2.build-export子命令增加支持压缩算法的选择
                   3.去掉安装后脚本中的systemctl daemon-reload
  * 其他改动影响域: 生成开明包 

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 05 Aug 2025 16:55:27 +0800

kaiming (1.0.0-ok1k0.20) v11-2603-preview; urgency=medium

  * BUG: #374603 【系统启动】开机启动过程中kaiming不应该放在graphical.target之前
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.kaiming service starts after graphical.target
                  2.修复文管问题
                  3.新增获取ostree分支更新时间接口
                  4.修复容器环境内无法使用loginctl问题
                  5.添加ostree失败打印信息
                  6.修改icon名称
                  7.overlay mount时使用index=off允许共享，否则v10sp1中出错
                  8.设置SessionManager环境变量
                  9.增加info.json字段polkit解析和处理
                  10.不修改应用所属用户
                  11.ouname为空跳过验证证书;hostapp dual-icon issue
                  12.验签优化
                  13.缓存脚本删除exports目录
                  14.hostapp can't remove link file
                  15.getAllRemoteInfo接口返回值新增版本号信息
                  16.ostree ref replace '+' with '--'
                  17.fuzzyMatchCompletedRef接口优化
                  18.修复文管目录挂载失败问题
                  19.解决书生阅读器任务栏图标显示错误问题
                  20.修复退出状态获取错误情况 && 输出格式修复 && 注释增加
                  21.修复uos不能运行的问题
                  22.xdg-desktop-portals问题修复/只读属性删除文件问题修复
                  23.create desktop shortcuts for container apps
                  24.set ksaf exectl for hostapp
                  25.修复版本号问题

  * 其他改动影响域: 安装、运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Thu, 17 Jul 2025 17:09:43 +0800

kaiming (1.0.0-ok1k0.19) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.kaiming build-export -h没有翻译问题
                  2.构建时，目录包含空格时构建失败问题
                  3.v11运维模式，计算器构建失败问题
                  4.在线安装断连后自动重连提示信息不准确
                  5.优化版本号解析
                  6.update,install,uninstall,search动态展示信息
                  7.add kare driver
                  8.卸载时删除ostree分支缓存
                  9.处理文件夹不存在时写文件失败
                  10.构建时自动安装跳过验签
                  11.No need to modify ukui-notification file
                  12.修复特殊路径问题
                  13.覆盖安装应用时，杀死应用进程
                  14.增加/var/log/kaiming目录创建
                  15.前后端分离
                  16.pid命名空间去除
                  17.kaiming compare-versions修改"<"和">"符号的比较，避过重定向符号冲突
                  18.alsa挂载配置代码优化
                  19.修复增加pulse环境变量
                  20.修复前后端分离后服务端问题
                  21.新增getAPPsRemoteInfo接口,修复summary.json不规范getallremoteinfo崩溃
                  22.修复root服务存在情况下,第二次进入问题
                  23.版本号有“+”时进度条不换行
                  24.在线安装适配system.d不可变路径
                  25.在用户程序目录下添加desktop文件
                  26.修复提权时进程无法结束问题

  * 其他改动影响域: 构建、安装、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 07 Jul 2025 16:37:45 +0800

kaiming (1.0.0-ok1k0.18) v11-2603-preview; urgency=medium

  * BUG: #365609 【需求46343】【扫描】设置-通知页面无扫描应用
         #376249 【产品适配】【V11-2603-beta2】【kaiming】从deb包转的浩辰CAD开明包，安装后部分功能有问题
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.安装新增ukui-notification文件处理
                  2.安装添加--compatibility参数
                  3.修改base相关目录的所属用户
                  4.处理手册导出路径
                  5.dbus服务配置文件优化
                  6.install等参数调整
                  7.add kare driver
                  8.卸载时删除ostree分支缓存
                  9.处理文件夹不存在时写文件失败
                  10.构建时自动安装跳过验签
  * 其他改动影响域: 构建、安装、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 25 Jun 2025 14:56:23 +0800

kaiming (1.0.0-ok1k0.17) v11-2603-preview; urgency=medium

  * BUG: #363811 【产品适配】【V11-2603-beta1-02】【debtokaiming】todesk开明包被连接时的主机名称都是kaiming，而不是实际的主机名称 
         #366465 【需求35735】【开明包】安装非本架构包，kaiming日志中没有写明失败原因
  * 任务: 480941 kaiming新增子命令：compare-versions，用于比较两个版本大小关系
  * 需求: 无
  * 其他改动说明: 1.导出dbus配置文件
                  2.新方案实现二进制调用实时输出功能
                  3.去除/proc只读挂载,只读挂载造成不能运行sandbox类型应用
                  4.新增dbus接口用于获取所有summary的应用信息,--upgrade新增展示module信息
                  5.修复版本前导零导致的商店搜索崩溃问题
                  6.标题颜色更改为亮青色
                  7.修复分离进程时kill不会关闭进程的问题
                  8.默认版本号-解析错误
                  9.修复dbus边界检测导致的空指针访问段错误
                  10.还原pid命名空间
                  11.修复微信图标问题
                  12.删除updata--arch参数
                  13.improvement: org.kylin.kaiming dbus service rewrite
                  14.修复二进制调用时非叠加目录出路
  * 其他改动影响域: 构建、安装、运行

 -- luchaoyang <luchaoyang@kylinos.cn>  Tue, 17 Jun 2025 11:19:12 +0800

kaiming (1.0.0-ok1k0.16) v11-2603-preview; urgency=medium

  * BUG: #358101 【应用兼容】【开明包】arm上ok包没有定制图标
         #360047 【开明】kaiming list存在部分包版本显示不全
         #360783 【应用兼容】【开明包】【文本编辑器】【V10 SP1不存在】打开“1 2”，会打开两个文档，为“1”和“2”
         #360981 【应用兼容】【v10sp1不存在】【开明包】【微信】偶现任务栏托盘中没有微信图标
         #358315 【开明包】【需求46467】【刻录】【蓝光】蓝光光盘刻录深目录后，在刻录应用内进入深目录，右键使用本地应用打开，无法打开对应文件
         #359087 【KARE】【开明包】【产品适配】【V11-2603-beta1】【永中office软件】应用卸载后重装，启动失败
         #365763 【kaiming】自启动的开明应用没有显示在设置-开机启动的列表
         #364021 【开明包】【刻录】点击右上角设置-帮助，无法调起用户手册
         #364349 【需求47052】【开明包】sudo kaiming ps结果输出中存在报错
  * 任务: 474819 新增 print-mate 子命令，打印开明软件包元数据信息
          479637 kaiming新增子命令changelog，用于输出ok包中的changelog信息
  * 需求: 无
  * 其他改动说明: 1. 开明新增dbus接口，获取所有kaiming包列表的信息
                  2. 导出usr/share/polkit-1
                  3. 去除LD_LIBRARY_PATH环境变量中的arch-linux-gnu平台相关目录
                  4. 修复去除dbus-send返回后的关于dbus信息
                  5. 处理desktop里以name=获取值
                  6. 修复公共接口造成开明不能复用uuid的问题
                  7. 修复systemd-system级别服务启动崩溃问题
                  8. dbus获取本地信息新增描述（SDK需求）
                  9. 修复dbus接口size为负值
                  10.修复app目录即使sysapp=false时,/lib,/etc,/usr等也叠加挂载
                  11.处理openkylin使用runtime1.0.3版本wayland会造成启动失败问题
                  12.修复info.json设置的环境变量不能覆盖默认环境变量的问题
                  13.处理policy文件
                  14.离线进度改为int
                  15.去掉pid命名空间,解决/proc挂载以及进程退出问题
                  16.卸载时kill运行程序
                  17.【安装器】【kaiming】未安装base时双击安装开明包，安装失败的提示信息不明确
                  18.开明去除pi命名空间
                  19.开明运行和builder编译目录分离
                  20.开明kill时区分kaiming和builder运行目录
                  21.修复版本前导零导致的商店搜索崩溃问题
                  22.去除/proc只读挂载,只读挂载造成不能运行sandbox类型应用
                  23.设置APP_VERSION环境变量
                  24.kaiming list存在部分包版本显示不全
                  25.重写search执行脚本
                  26.修复update无法升级问题
                  27.repair时，无法删除旧文件
  * 其他改动影响域: 构建\安装\运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Sun, 01 Jun 2025 17:36:12 +0800

kaiming (1.0.0-ok1k0.15) v11-2603-preview; urgency=medium

  * BUG: #355607 【产品适配】【V11-2603-alpha4】【开明构建工具】开机自启动功能无法实现: etc/xdg/autostart/
  * 任务: 472429 构建时需要把 /usr/share/glib-2.0/schemas导出来
  * 需求: 无
  * 其他改动说明: 1.只针对files/opt下的脚本文件进行额外处理
                  2.构建时需要把 /usr/share/glib-2.0/schemas导出来
                  3.修复开明enter以及开明第二次运行应用时,相对路径文件打不开的问题
  * 其他改动影响域: 构建，安装，运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Mon, 02 Jun 2025 14:20:45 +0800

kaiming (1.0.0-ok1k0.14) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 解决卸载序列号不正确问题
  * 其他改动影响域: 安装

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Sun, 01 Jun 2025 15:36:12 +0800

kaiming (1.0.0-ok1k0.13) v11-2603-preview; urgency=medium

  * BUG: #356649 使用高版本runtime构建的开明应用，安装在低版本的runtime系统上
         #356049 【开明包】在线安装断连后提示信息不正确
         #358757 【开明包】选择导入书签，文管界面显示两个相同u盘
         #358777 【开明包】设置任务到时间后无提示
         #359169 【开明包】【微信】【V10 SP1不存在】系统监视器中无图标
         #358551 【开明包】先后安装两个版本的开明应用包，kaiming list中能查到两行此包的信息（应该只保留最新版本）
         #358089 【开明包】【需求46340】【应用程序执行控制】开明包离线安装失败
         #356355 安装低版本的runtime提示已经安装，但强制安装后多个版本能够共存
         #355649 开明包管控-添加开明软件为卸载黑名单后仍能卸载
         #355461 开明包管控-允许安装-开启白名单模式-添加开明软件为白名单，安装失败
         #355437 开明包管控--不允许安装-开启黑名单模式-添加开明软件为黑名单，提示不允许uninstall
         #356625 使用命令行无法卸载指定版本的runtime包
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.更新po文件
                  2.isInstalled增加ref解析
                  3.处理安装升级、降级打印信息
                  4.验签报错不输出到终端；离线包已安装提示逻辑修改
                  5.修复root权限启动挂载/home目录,代码优化
                  6.desktop文件Exec字段拼接'--'，防止参数被误解析为选项
                  7.本地url修改时，远程ostree缓存的url更改
                  8.修复挂载点被占用device is busy导致的安装失败问题
                  9.修复xdg-open路径为相对路径问题
                  10.修复v11和非v11磐石架构下desktop路径问题
                  11.修复u盘挂载问题和时区问题
                  12.修改解析ref，修改验签文件不存在时逻辑
  * 其他改动影响域: 构建、安装、运行

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Sat, 31 May 2025 18:19:19 +0800

kaiming (1.0.0-ok1k0.12) v11-2603-preview; urgency=medium

  * BUG: * BUG: #356649 使用高版本runtime构建的开明应用，安装在低版本的runtime系统上
          #356355 安装低版本的runtime提示已经安装，但强制安装后多个版本能够共存
          #355649 开明包管控-添加开明软件为卸载黑名单后仍能卸载
          #355461 开明包管控-允许安装-开启白名单模式-添加开明软件为白名单，安装失败
          #355437 开明包管控--不允许安装-开启黑名单模式-添加开明软件为黑名单，提示不允许uninstall
          #356625 使用命令行无法卸载指定版本的runtime包
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.修复二进制调用使用/opt等绝对路径问题
                  2.处理exec字段错误
                  3.放开验签
                  4.解决dbus服务无法启动问题
                  5.kaiming安装创建icons目录
                  6.修复增加PATH环境变量,支持游戏类型应用
                  7.支持应用自启服务启动
  * 其他改动影响域: 安装、构建、运行 

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Wed, 28 May 2025 10:27:30 +0800

kaiming (1.0.0-ok1k0.11) v11-2603-preview; urgency=medium

  * BUG: #350385 使用安装器安装基础环境包报错
         #352609 SDK方式安装离线开明包卸载后再安装，安装失败
         #352306 指定包版本安装开明包，安装了错误的版本
         #351388 OFD图标格式和V10SP1不一致
         #351322 默认情况下kaiming search命令查询不到结果，重新执行一次可正常输出
         #351370 sw loong64架构软件商店安装开明包，进度一直为0
         #354044 【U盘启动器】选择文件后，点击开始制作无响应
         #353815 光盘刻录成功重新插入，刻录应用识别不到光盘，文管可以正常识别

  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.允许多次build-finish
                  2.修复sysapp不同状态下的LD_LIBRARY_PATH环境变量路径
                  3.修复IDE反馈的问题:构建时,需要在沙箱环境中能够连接网络
                  4.处理安装失败;局部变量uint64_t类型需初始化
                  5.修复潜在的内存泄漏;修复潜在的崩溃问题
                  6.优化家目录处理,提取公共函数,优化代码
                  7.处理安装器报错软件包损坏
                  8.去除/app挂载;
                  9.去除/data /cdrom /media的叠加挂载
                  10.处理服务类应用
                  11.修改签名动态库，删除临时目录时过滤符号链接
                  12.修复u盘挂载传播问题
                  13.修复运行程序路径存在空格问题
                  14.增加qq多层url解析
                  15.可执行文件脚本路径区分包名
                  16.处理exec字段
                  17.getAllBaseFilesInDirectory wrong type
                  18.非终端环境终端宽度默认为80
  * 其他改动影响域: 构建、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 21 May 2025 15:44:38 +0800

kaiming (1.0.0-ok1k0.10) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.删除enter与run的参数校验
                  2.修复v10sp1创建/opt/apps/kaiming无权限问题
                  3.kaiming.service服务修改
                  4.处理日志打印错误
                  5.执行控制标记只设置app
                  6.修复磐石架构环境变量
                  7.增加二进制调用当前工作目录功能
                  8.处理强制安装特定版本
  * 其他改动影响域: 安装、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Sun, 18 May 2025 15:25:54 +0800

kaiming (1.0.0-ok1k0.9) v11-2603-preview; urgency=medium

  * BUG: #350688 U盘目录显示异常问题
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.优化ps功能和应用第二次运行逻辑
                  2.执行控制打标接口更改
                  3.处理卸载不完全
                  4.原生应用新增功能支持
                  5.修复二进制调用dbus客户端脚本
                  6.修复下载速度为EB/s的情况
                  7.添加google测试
                  8.构建多开报错问题
  * 其他改动影响域: 构建、安装、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 16 May 2025 16:05:55 +0800

kaiming (1.0.0-ok1k0.8) v11-2603-preview; urgency=medium

  * BUG: #350678 【产品适配】【V11-2603-alpha2】使用debtokaiming工具转商业包，有些包转包成功，安装时提示[error]: Invalid KMVersion, regex match error
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.处理同名不同module安装出错
                  2.KMCurl优化
                  3.修复permission=all时挂载家目录
                  4.开明安装版本检测功能修复
                  5.处理删除硬链接
                  6.修复update，修改版本号规则
                  7.修改版本号正则表达式限制，现在不限制以0开头的版本号，支持任意数字的版本号，支持出现连续"-"，不支持出现连续"+"，不支持"-+"
                  8.修改构建子命令选项参数校验时报错的问题
  * 其他改动影响域: 构建、安装、运行

 -- lixinyue <lixinyue@kylinos.cn>  Mon, 12 May 2025 14:34:10 +0800

kaiming (1.0.0-ok1k0.7) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.处理打印信息
                  2.解决批量安装时只umount一次问题
                  3.xdg功能 dbus v11/no v11路径适配
                  4.处理服务类应用字段
                  5.id命名规则放宽松
  * 其他改动影响域: 安装、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 07 May 2025 10:23:16 +0800

kaiming (1.0.0-ok1k0.6) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.修复快捷方式启动开明应用的问题
                  2.app间调用
                  3.v10sp1适配
                  4.处理服务类应用文件路径
                  5.处理网页应用图标
                  6.修复gsettings获取值错误问题
  * 其他改动影响域: 构建、安装、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Sun, 04 May 2025 19:23:02 +0800

kaiming (1.0.0-ok1k0.5) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.兼容depends列表中包含空串的场景
                  2.crun分离及删除应用结束后的目录
                  3.增加xdgopen、网络、蓝牙权限到构建环境
                  4.增加polkit配置，以方便构建时安装依赖
                  5.kaiming build-init时安装依赖的方式替换
                  6.kaiming run分离引起构建问题修改
  * 其他改动影响域: 构建、运行 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 28 Apr 2025 17:02:40 +0800

kaiming (1.0.0-ok1k0.4) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明:
    修改计算包大小的方式;更换md5sum的方案;修复/opt/kaiming为空时，update报段错误的问题;处理默认版本解析错误
  * 其他改动影响域: kaiming build-export 

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 22 Apr 2025 16:11:31 +0800

kaiming (1.0.0-ok1k0.3) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 优化kaiming run启动时间；修复kaiming which问题
  * 其他改动影响域: kaiming which; kaiming run; 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 16 Apr 2025 16:35:16 +0800

kaiming (1.0.0-ok1k0.2) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 修改下载源时curl设置的链接超时
  * 其他改动影响域: 无 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 14 Apr 2025 17:28:13 +0800

kaiming (1.0.0-ok1k0.1) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: CI构建，版本增加规则
  * 其他改动影响域: 无 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 14 Apr 2025 22:20:26 +0800

kaiming (1.0.0-ok1k0.0) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 准备发布，初始化版本号
  * 其他改动影响域: 无

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 14 Apr 2025 21:33:24 +0800

kaiming (0.90.1-ok0.2k0.31) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明:
    添加KSAF和执行控制标记；卸载runtime/base时，打印将要被卸载的软件包;build-init安装base\runtime成功后数组越界问题
  * 其他改动影响域: kaiming install、uninstall

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Thu, 10 Apr 2025 16:13:57 +0800

kaiming (0.90.1-ok0.2k0.30) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: kaiming init自动安装依赖越界问题修改
  * 其他改动影响域: kaiming包构建 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 09 Apr 2025 18:04:58 +0800

kaiming (0.90.1-ok0.2k0.29) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 无法在线安装devel包；安装base包卡住问题
  * 其他改动影响域: kaiming install 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 09 Apr 2025 16:18:12 +0800

kaiming (0.90.1-ok0.2k0.28) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: kwre部署后删除files目录；优化kaiming info模块；递归卸载依赖软件时，补充kwre应用卸载逻辑
  * 其他改动影响域: kaiming install;kaiming info等

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Wed, 07 Apr 2025 10:28:01 +0800

kaiming (0.90.1-ok0.2k0.27) v11-2503; urgency=medium

  * BUG: 修改kwre部署文件删除逻辑，修复base文件无法删除问题
  * 任务: 新增which模块，用于搜索指定文件属于哪个软件包
  * 需求: [448097] 新增功能 kaiming which ，查询文件所属哪个包
  * 其他改动说明:
  * 其他改动影响域:

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Wed, 02 Apr 2025 09:56:44 +0800

kaiming (0.90.1-ok0.2k0.26) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 自包含sw_64适配改造
  * 其他改动影响域: sw_64架构

 -- luchaoyang <luchaoyang@kylinos.cn>  Mon, 30 Mar 2025 10:10:30 +0800
 
kaiming (0.90.1-ok0.2k0.25) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 简化yaml编写
  * 其他改动影响域: 构建、运行

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 27 Mar 2025 01:53:17 +0800

kaiming (0.90.1-ok0.2k0.24) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 自包含loong64适配改造
  * 其他改动影响域: loong64架构

 -- luchaoyang <luchaoyang@kylinos.cn>  Mon, 24 Mar 2025 17:48:13 +0800

kaiming (0.90.1-ok0.2k0.23) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: loong64适配改造
  * 其他改动影响域: loong64架构

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 20 Mar 2025 20:21:45 +0800

kaiming (0.90.1-ok0.2k0.22) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明:  完善开明分离功能
  * 其他改动影响域: 暂无

 -- luchaoyang <luchaoyang@kylinos.cn>  Mon, 17 Mar 2025 17:24:59 +0800

kaiming (0.90.1-ok0.2k0.21) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 开明自包含功能
  * 其他改动影响域: 暂无

 -- luchaoyang <luchaoyang@kylinos.cn>  Fri, 14 Mar 2025 13:34:50 +0800

kaiming (0.90.1-ok0.2k0.20) v11-2503; urgency=medium

  * BUG: 332587 安全编译选项检查结果中，kaiming存在安全编译风险项
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 暂无
  * 其他改动影响域: 暂无

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 06 Mar 2025 19:15:31 +0800

kaiming (0.90.1-ok0.2k0.19) v11-2503; urgency=medium

  * BUG:  #330342 【开明】  执行kaiming run 命令提示错误
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 开明包使用

 -- luchaoyang <luchaoyang@kylinos.cn>  Mon, 24 Feb 2025 15:53:27 +0800

kaiming (0.90.1-ok0.2k0.18) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 开明包使用

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 12 Feb 2025 16:48:27 +0800

kaiming (0.90.1-ok0.2k0.17) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 版本号3段是在线安装不上
  * 其他改动影响域: 开明包在线安装

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 24 Jan 2025 16:07:02 +0800

kaiming (0.90.1-ok0.2k0.16) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 新的base、runtime中bin等目录换成了软连接，需要注释部分代码
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 17 Jan 2025 17:11:36 +0800

kaiming (0.90.1-ok0.2k0.15) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 无

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 17 Jan 2025 17:11:36 +0800

kaiming (0.90.1-ok0.2k0.14) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 拆包逻辑优化
  * 其他改动影响域: 拆包

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 15 Jan 2025 20:48:31 +0800

kaiming (0.90.1-ok0.2k0.13) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 修复安全类软件提权问题; 新规范开发
  * 其他改动影响域: 全领域

 -- luchaoyang <luchaoyang@kylinos.cn>  Wed, 1 Jan 2025 18:00:13 +0800

kaiming (0.90.1-ok0.2k0.12) v11-2503; urgency=medium

  * BUG: 无 
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 03 Jan 2025 18:50:53 +0800

kaiming (0.90.1-ok0.2k0.11) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 20 Dec 2024 18:27:02 +0800

kaiming (0.90.1-ok0.2k0.10) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 更改脚本权限和删除dbus-c++库使用
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 11 Dec 2024 15:18:54 +0800

kaiming (0.90.1-ok0.2k0.9) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 11 Dec 2024 14:04:32 +0800

kaiming (0.90.1-ok0.2k0.8) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 05 Dec 2024 17:40:06 +0800

kaiming (0.90.1-ok0.2k0.7) v11-2501; urgency=medium

  * BUG: 
  - 修改离线包的desktop首次安装修改失败问题

  * 任务：无
  * 需求：无

  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 02 Dec 2024 17:28:48 +0800

kaiming (0.90.1-ok0.2k0.6) v11-2501; urgency=medium

  * BUG: 无
  * 任务：无
  * 需求：无

  * 其他改动说明：合并分支版本

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 29 Nov 2024 11:10:32 +0800

kaiming (0.90.1-ok0.2k0.5) v11-2501; urgency=medium

  * BUG: 无
  * 任务：无
  * 需求：无

  * 其他改动说明：
  - 增加离线包squashfs支持
  - 完善包管理命令
  - 完善运行命令
  - 完善编译命令
  - 增加自动补全脚本

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 29 Nov 2024 10:43:49 +0800

kaiming (0.90.1-ok0.2k0.4) v11-2501; urgency=medium

  * BUG: 无
  * 任务：无
  * 需求：无

  * 其他改动说明：合并分支版本

  * 其他改动影响域：无

 -- luchaoyang <luchaoyang@kylinos.cn>  Mon, 25 Nov 2024 14:00:00 +0800

kaiming (0.90.1-ok0.2k0.3) v11-2501; urgency=medium

  * BUG: 无
  * 任务：无
  * 需求：无

  * 其他改动说明：
  - 修改命令行解析，去除 boost 库依赖
  - 修改dbus接口，去除 rapidJson 库依赖
  - 增加离线包安装功能

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 13 Nov 2024 17:03:54 +0800

kaiming (0.90.1-ok0.2k0.2) v11-2501; urgency=medium

  * BUG: 无
  * 任务：无
  * 需求：无

  * 其他改动说明：
  - 避免做镜像由于 tmpfs 文件系统导致失败问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 08 Nov 2024 18:20:57 +0800

kaiming (0.90.1-ok0.2k0.1) v11-2501; urgency=medium

  * 修改版本号，增加 kM.N 标志

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 22 Oct 2024 13:53:09 +0800

kaiming (0.90.1-ok0.1) v11-2501; urgency=medium

  * 修改版本号

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 22 Oct 2024 11:19:00 +0800

kaiming (0.90.1) nile; urgency=medium

  *  修改版本号

 -- luchaoyang <luchaoyang@kylinos.cn>  Tue, 15 Oct 2024 11:13:13 +0800

kaiming (0.16.0-6.1) nile; urgency=medium

  *  增加校验和文件

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 12 Oct 2024 12:19:13 +0800

kaiming (0.16.0-6) nile; urgency=medium

  * 修复使用命令 --unused 卸载时错误删除依赖的runtime/base的问题
  * 回退版本, 家目录文件都可修改

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 11 Oct 2024 16:41:20 +0800

kaiming (0.16.0-5) nile; urgency=medium

  * 修复 list 命令权限报错问题

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 11 Oct 2024 10:08:27 +0800

kaiming (0.16.0-4.2) nile; urgency=medium

  * 修复部分问题

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 10 Oct 2024 20:37:25 +0800

kaiming (0.16.0-4) nile; urgency=medium

  * 处理降级问题

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 04 Oct 2024 19:45:43 +0800

kaiming (0.16.0-3) nile; urgency=medium

  * 处理 devel 模块安装问题 

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 01 Oct 2024 17:47:58 +0800

kaiming (0.16.0-2) nile; urgency=medium

  * 增加卸载功能

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 30 Sep 2024 14:37:42 +0800

kaiming (0.16.0-1) nile; urgency=medium

  * 三段式代码处理 info 命令编译问题

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 30 Sep 2024 11:19:13 +0800

kaiming (0.16.0-0) nile; urgency=medium

  * 三段式代码整改 

 -- yushuoqi <yushuoqi@kylinos.cn>  Sun, 29 Sep 2024 18:08:15 +0800

kaiming (0.15.3) nile; urgency=medium

  * [BUG]: 
  - #IA95LY, 【开明】执行命令权限不足时，无任何提示 
  - #I9Q3YZ, 【开明包】install命令后不输入内容直接点回车，不会安装且命令也不会退出 

  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 适配kare和kaiming包规范，目前将exports目录数据统一放到/opt/kaiming目录下
  - 修复trigger缓存文件生成失败问题

  * 其他改动影响域：
  - 修改影响包括安装、卸载、更新、修复等模块

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 11 Jul 2024 10:10:18 +0800

kaiming (0.15.2) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 适配kare和kaiming包规范，目前将exports目录数据统一放到/var/opt/kaiming目录下
  - 修复trigger缓存文件生成失败问题

  * 其他改动影响域：
  - 修改影响包括安装、卸载、更新、修复等模块

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 04 Jul 2024 11:31:54 +0800

kaiming (0.15.1) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 适配kare和kaiming包规范，目前将exports目录数据统一放到/opt/kaiming目录下

  * 其他改动影响域：
  - 修改影响包括安装、卸载、更新、修复等模块

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 03 Jul 2024 17:56:39 +0800

kaiming (0.15.0) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 开明不可变系统配置规范适配

  * 其他改动影响域：无

 -- luchaoyang <luchaoyang@kylinos.cn>  Tue, 2 July 2024 11:26:46 +0800

kaiming (0.14.21) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 更改信息显示接口，避免软件商店在未发布情况下仍旧显示应用问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 13 Jun 2024 11:26:46 +0800

kaiming (0.14.20) nile; urgency=medium

  * BUG: 无
  * 需求: 无
  * 其他改动说明: 1、提供--show-commit和--show-metadata的功能
                  2、修改原逻辑的bug，无法查询sdk和运行时信息
  * 其它改动影响域: 无

 -- zhaominyong <zhaominyong@kylinos.cn>  Sat, 08 Jun 2024 17:17:54 +0800

kaiming (0.14.19) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 处理安装 org.kde.kamoso 包后桌面快捷方式双击运行失败问题
  - 添加元数据文件 dbus socket 设置功能

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 06 Jun 2024 11:31:37 +0800

kaiming (0.14.18) nile; urgency=medium

  * [BUG]:
  - 229138 【开明包】商店客户端显示的软件大小不对

  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 修复运行时 info 查看信息失败问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 05 Jun 2024 11:20:18 +0800

kaiming (0.14.17) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 添加 ostree 运行依赖

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 04 Jun 2024 21:15:05 +0800

kaiming (0.14.16) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 安装时初始化本地仓库目录
  - 处理安装包app.moosync.moosync段错误问题
  - 处理运行时org.freedesktop.Platform安装不上问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 04 Jun 2024 20:55:43 +0800

kaiming (0.14.15) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 处理安装报错问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 03 Jun 2024 21:37:05 +0800

kaiming (0.14.14) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 处理编译问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 03 Jun 2024 18:10:19 +0800

kaiming (0.14.13) nile; urgency=medium

  * [BUG]:
  - #I9NFW8 【开明包】安装完开明包后，各应用在开始菜单、固定在任务栏、桌面快捷方式、全局搜索的图标均显示异常

  * 任务号：无
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 03 Jun 2024 17:42:52 +0800

kaiming (0.14.12) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 处理 Ninja 编译问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 03 Jun 2024 14:43:54 +0800

kaiming (0.14.11) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 修改默认编译为Ninja，增加8核编译参数加快编译
  - 处理Wayland环境运行失败问题，增加DISPLAY环境变量

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 01 Jun 2024 18:50:16 +0800

kaiming (0.14.10) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 处理编译错误问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 31 May 2024 17:34:42 +0800

kaiming (0.14.9) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 更改desktop中Exec字段，解决桌面快捷方式双击不能打开问题
  - 删除 lib 库形式代码，解决重复编译问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 30 May 2024 22:47:52 +0800

kaiming (0.14.8) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 编译时指定链接libpthread库，处理低版本(v10 sp1)编译不过问题
  - 修复部分 dbus 无法注册导致无法启动的问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 30 May 2024 16:00:59 +0800

kaiming (0.14.7) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 添加 app 和 runtime 的环境变量参数设置
  - 更改仓库默认源

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 30 May 2024 15:01:39 +0800

kaiming (0.14.6) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无
  * 其他改动说明：处理编译问题
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 29 May 2024 15:33:50 +0800

kaiming (0.14.5) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 处理repair命令的进度信息显示错误问题

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 29 May 2024 14:45:58 +0800

kaiming (0.14.4) nile; urgency=medium

  * [BUG]:
  - I9QAR8 处理离线安装进度条显示有误问题

  * 任务号：无
  * 需求号：无

  * 其他改动说明：
  - 处理不可变系统--bind目录不存在问题，运行时添加文件夹存在判断规则

  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 27 May 2024 17:32:46 +0800

kaiming (0.14.3) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：无
  * 其他改动说明：处理编译错误
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 24 May 2024 09:51:09 +0800

kaiming (0.14.2) nile; urgency=medium

  * [BUG]:
    - #I9Q653 【主要】【开明包】修复开明包失败

  * 任务号：无
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 23 May 2024 20:58:34 +0800

kaiming (0.14.1) nile; urgency=medium

  * [BUG]:
    - 228340 【软件商店客户端】在历史安装界面，勾选开明软件，点击一键安装，安装进度卡住
    - 228419 【软件商店客户端】不能检测到开明更新软件

  * 任务号：无
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 16 May 2024 22:21:41 +0800

kaiming (0.14.0) nile; urgency=medium

  * [BUG]: 无
  * 任务号：无
  * 需求号：
    - 【需求27750】辅助工具模块开发--repair子命令
  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 14 May 2024 17:05:43 +0800

kaiming (0.13.1) nile; urgency=medium

  * [BUG]
    - close-cd: #I9N0ZN 重复执行在线和离线安装命令，终端会显示nothing to do，建议显示为该应用已安装
    - close-cd: #I9N13F 下载进度条一直显示为0%，无下载完成提示，实际下载成功
    - close-cd: #I9NYYJ 升级进度条一直显示0%
    - close-cd: #I9OC3T dev.vieb.Vieb卸载后重新安装报文件已存在的错误

  * 任务号：无
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 11 May 2024 16:56:30 +0800

kaiming (0.13.0) nile; urgency=medium

  * [BUG]
    - close-cd: #I9EVEL 【次要】开明包已安装的情况下再继续执行安装命令，终端会显示段错误信息
    - close-cd: #I9EO90 【次要】下载后首次运行开明应用报错，之后正常

  * 任务号：无
  * 需求号：
    - 【需求27741】【开明包】离线导出多个开明包
    - 【需求27742】【开明包】离线安装单个开明包
    - 【需求27743】【开明包】软件包升级
    - 【需求29508】【开明包】info显示应用具体信息
    - 【需求27749】【开明包】enter命令进入应用沙箱环境
    - 【需求29381】【开明包】ps/kill命令查看和关闭开明进程
    - 【需求27753、27754】【开明包】权限管控
  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 07 May 2024 10:03:29 +0800

kaiming (0.5.19) nile; urgency=medium

  * [BUG]
    - close-cd: #I9DCVE 安装开明包后会有错误信息，建议安装成功后不会有错误信息
    - close-cd: #I9DGK1 不支持多个开明包同时安装
    - close-cd: #I9DCSC [wayland] 无法运行开明包

  * 任务号：无
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 03 Apr 2024 14:46:28 +0800

kaiming (0.5.18) nile; urgency=medium

  * complete kaiming install command

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 05 Jan 2024 10:37:49 +0800

